    # File lib/vmail/imap_client.rb, line 67
        def select_mailbox(mailbox, force=false)
          if mailbox_aliases[mailbox]
            mailbox = mailbox_aliases[mailbox]
          end
          if mailbox == @mailbox && !force
            return
          end
          log "Selecting mailbox #{mailbox.inspect}"
          reconnect_if_necessary(15) do
            log @imap.select(mailbox)
          end
          log "Done"
          @mailbox = mailbox
          log "Getting mailbox status"
          get_mailbox_status
          log "Getting highest message id"
          get_highest_message_id
          return "OK"
        end